Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api
Enum Project.ApprovalMode

    java.lang.Object
      java.lang.Enum<Project.ApprovalMode>
          com.ibm.workplace.wcm.api.Project.ApprovalMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Project.ApprovalMode>

Enclosing interface:
  Project

    public static enum Project.ApprovalMode

extends java.lang.Enum<Project.ApprovalMode>

The list of valid project approval modes

Enum Constant Summary
`REQUIRE_ALL_APPROVALS` Approvals from all approvers is required to push the project to the next state
`REQUIRE_SINGLE_APPROVAL` Only a single approval is required to push the project to the next state

Method Summary
`static Project.ApprovalMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Project.ApprovalMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUIRE_SINGLE_APPROVAL

    public static final Project.ApprovalMode REQUIRE_SINGLE_APPROVAL

  Only a single approval is required to push the project to the next state

### REQUIRE_ALL_APPROVALS

    public static final Project.ApprovalMode REQUIRE_ALL_APPROVALS

  Approvals from all approvers is required to push the project to the next state

Method Detail

### values

    public static Project.ApprovalMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Project.ApprovalMode c : Project.ApprovalMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Project.ApprovalMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD